Installation Requirements for Priism 4 on x86 Linux

The x86 Linux version of Priism includes files for 32-bit and 64 bit (x86_64) systems. The 32-bit files are usable on both 32-bit and 64-bit systems provided that 32-bit versions of the required libraries are available. The 64-bit files are only usable on 64-bit systems and need 64-bit versions of the required libraries.

Operating system

You need a version of Linux installed that supports ELF binaries and has system libraries that are compatible with glibc 2.3.4. Priism makes use of libc.so.6, libdl.so.2, libm.so.6, libpthread.so.0, and librt.so.1. The graphical user interface elements also use libfontconfig.so.1, libjpeg.so.62, libpng12.so.0, and libz.so.1.

Required libraries and additional software

X
It is necessary to have the X libraries installed and in the library search path. The libraries used are: To use the components that have graphical user interfaces, it is necessary to have an X server and window manager running. In many cases, the X server will only support true color visuals or pseudocolor visuals but not both, and typically only one hardware color map is available for pseudocolor visuals. Because of those limitations, it is often best to configure your X server to use 24 or 32 bit color; 16 bit color is also feasible but that severely restricts the number of distinct colors available for greyscale images. The command-line application, xdpyinfo, will print out the current capabilities of the X server: look for the list of visuals at the end of the output and the "number of colormaps" line which, hints at the number of hardware colormaps available. The window manager should be ICCCM compliant (namely it should cooperate and install the colormap for the window with input focus), and if it is compatible with mwm, then certain minor features in Priism that modify the window manager decorations will work correctly.
OpenGL/Mesa
To use the components with graphical interfaces, it is necessary to have the OpenGL library, libGL.so.1, (or their Mesa equivalents) installed and in the library search path. The versions of libGL.so.1 shipped with RedHat 6.2 and Suse 8.2 do not work; no problems have been reported with other versions.

Optional libraries and additional software

Matlab
Priism includes the ImgToMat and MatToImg tools to convert Priism image files to and from Matlab's .mat files. To use those converters, you have to have Matlab 6.5 or later (for the 64-bit version you need Matlab 7 or later).

Optional Hardware

The GPU-accelerated calculations for EM tomography require an x86 or x86_64 Linux system with an appropriate NVIDIA graphics card. That system does not need to be the same as the system where you run Priism. The "GPU Parallel Settings" section of EMCAT/Parallel.html describes the hardware and software requirements for the GPU-accelerated calculations in more detail.

Disk space

During installation, you need space for the downloaded archive and the uncompressed files; the uncompressed files do not need to be on the same disk as the downloaded archive. Once the software is installed, the downloaded archive may be deleted. The space required is 166 megabytes during installation and 126 megabytes afterwards.

While the software is running, it makes extensive use of a shared memory file and related temporary files. The amount of space needed for these files depends on the size of the data sets loaded, but a minimal configuration should have 200 megabytes of space available for these files and having approximately 500 megabytes of space available would be better. Step 4 of the installation procedure describes how the default location for the shared memory and temporary files is set in the sample setup scripts.

Related Priism Topics

Priism | Priism requirements for Mac OS X | Priism installation | Known problems | Recent changes | Priism download site


IVE Development Team (ive@msg.ucsf.edu)